commit: 7f65891531d7cf54390c3bba2dc607789da507c6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 11 06:14:08 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 11 07:56:39 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f658915
dev-python/pyqtgraph: Bump to 0.12.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyqtgraph/Manifest | 1 +
dev-python/pyqtgraph/pyqtgraph-0.12.3.ebuild | 90 ++++++++++++++++++++++++++++
2 files changed, 91 insertions(+)
diff --git a/dev-python/pyqtgraph/Manifest b/dev-python/pyqtgraph/Manifest
index 1f1c964cbef..0c35eeb730d 100644
--- a/dev-python/pyqtgraph/Manifest
+++ b/dev-python/pyqtgraph/Manifest
@@ -1,2 +1,3 @@
DIST pyqtgraph-0.12.2.tar.gz 1292676 BLAKE2B
af5e61bbc7f55cda669825a9742a3f2424638d35e3a10b85b7fc635a5e40b630848bed1e88bc84383cbd3e85de538b1b1fa051d6d761b368209c1d8167f55a2a
SHA512
8a7f0e1e78cf147568ee6e393a07f07301632765d1bdb50328fcf1f815dda76f3e89808cef945409dcd9142407f864f205778a76cf804d4cbce544c60bcf5042
+DIST pyqtgraph-0.12.3.tar.gz 1317230 BLAKE2B
d9a7a86f976fd7d778b0f038b24e80d6cbbdb98f6cda7de0461d1e3bbac0a99745dc3cccc63f38c24128018a2f41f3a0da7437bf9ddbd3f4091fd826ae4ea915
SHA512
13f1ff4bcce7ab8c133ebb99101d300bb3abcd6ea8b7321f3aa646d6992b6988db17d478dcec52339dd380f7c6e487f47b95b9f9de616b7ff2dab35ca5f0cc30
DIST pyqtgraph-test-data-8.tar.gz 306068 BLAKE2B
f3aa418dfaf2e74950fa880da4b6dfb4ef5dbd46346b78065d885c1f9fc06fc3de86756af17e27035d4cd47d98cc7ce58c036b493837b568086a4ebceb230c78
SHA512
07ef414f2b57e00589f8c18459e88ab16001c7cc3766164cdfcd69faa26cbc90ed64611fd0c5e3b401dc6a3f1a6e9e4ce6a7d9fa96ebcc4360e03fa9fbb856d2
diff --git a/dev-python/pyqtgraph/pyqtgraph-0.12.3.ebuild
b/dev-python/pyqtgraph/pyqtgraph-0.12.3.ebuild
new file mode 100644
index 00000000000..2d46c69243c
--- /dev/null
+++ b/dev-python/pyqtgraph/pyqtgraph-0.12.3.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 multiprocessing
+
+TEST_DATA_TAG=test-data-8
+DESCRIPTION="A pure-python graphics and GUI library built on PyQt and numpy"
+HOMEPAGE="https://www.pyqtgraph.org/ https://pypi.org/project/pyqtgraph/"
+SRC_URI="
+ https://github.com/pyqtgraph/pyqtgraph/archive/${P}.tar.gz
+ test? (
+
https://github.com/pyqtgraph/test-data/archive/${TEST_DATA_TAG}.tar.gz
+ -> ${PN}-${TEST_DATA_TAG}.tar.gz
+ )"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples opengl svg"
+REQUIRED_USE="test? ( opengl svg )"
+
+RDEPEND="
+ >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/PyQt5[gui,widgets,opengl=,svg=,${PYTHON_USEDEP}]
+ opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )"
+BDEPEND="
+ test? (
+ dev-python/h5py[${PYTHON_USEDEP}]
+ dev-python/PyQt5[testlib,${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ if ! use opengl; then
+ rm -r pyqtgraph/opengl || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # apparently fragile
+ tests/test_reload.py::test_reload
+
+ # TODO
+ tests/graphicsItems/test_ROI.py::test_PolyLineROI
+
+ # pyside2 is normally skipped if not installed but these two
+ # fail if it is installed
+ # TODO: this could be due to USE flags, revisit when pyside2
+ # gains py3.9
+ 'examples/test_examples.py::testExamples[
DateAxisItem_QtDesigner.py - PySide2 ]'
+ 'examples/test_examples.py::testExamples[ designerExample.py -
PySide2 ]'
+ )
+
+ distutils_install_for_testing
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+src_test() {
+ mkdir "${HOME}"/.pyqtgraph || die
+ mv "${WORKDIR}/test-data-${TEST_DATA_TAG}" \
+ "${HOME}"/.pyqtgraph/test-data || die
+ cd "${HOME}"/.pyqtgraph/test-data || die
+ # we need to fake a git repo
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "Your Name" || die
+ git init -q || die
+ git commit -q --allow-empty -m "dummy commit" || die
+ git tag "${TEST_DATA_TAG}" || die
+ cd - >/dev/null || die
+
+ distutils-r1_src_test
+}
+
+python_install_all() {
+ use examples && DOCS+=( examples/ )
+ distutils-r1_python_install_all
+}